/// <reference types="sequelize" />
import * as Sequelize from 'sequelize';
import { Pool } from './pool';
import { Spec } from 'pretur.spec';
export interface UninitializedSequelizeModel<TInstance, TAttributes> {
    sequelizeModel: Sequelize.Model<TInstance, TAttributes>;
    initialize(pool: Pool): void;
}
export interface BuildSequelizeModelOptions<TInstance, TAttributes> {
    attributeToFieldMap?: {
        [attribute: string]: string;
    };
    tableName?: string;
    createDatabase?(sequelizeModel: Sequelize.Model<TInstance, TAttributes>): void;
}
export declare function buildSequelizeModel<TInstance, TAttributes>(spec: Spec<TAttributes>, sequelize: Sequelize.Sequelize, options?: BuildSequelizeModelOptions<TInstance, TAttributes>): UninitializedSequelizeModel<TInstance, TAttributes>;
